Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1800 - lilo: boot 2.0.36 single = multi vt s ??
Summary: lilo: boot 2.0.36 single = multi vt s ??
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 6.0
Hardware: i386
OS: Linux
high
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-03-25 23:03 UTC by aap
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-28 05:00:30 UTC


Attachments (Terms of Use)

Description aap 1999-03-25 23:03:40 UTC
is this a bug or a feature ??


yes that is not a mis print 2.0.36

I have a driver that only works in 2.0.36 :(

Comment 1 Bill Nottingham 1999-03-28 01:01:59 UTC
It can't open the initial console. From Documentation/devices.txt:
The console device, /dev/console, is the device to which system
messages should be sent, and on which logins should be permitted in
single-user mode.  Starting with Linux 2.1.71, /dev/console is managed
by the kernel; for previous versions it should be a symbolic link to
either /dev/tty0, a specific virtual console such as /dev/tty1, or to
a serial port primary (tty*, not cu*) device, depending on the
configuration of the system.

Comment 2 Bill Nottingham 1999-03-28 05:00:59 UTC
What you can do is, for example, is remake /dev/console
as major 4, minor 0. (rm /dev/console ; mknod /dev/console c 4 0);
while this is the old behavior and won't be include in RH,
it should allow you to boot both kernels.


Note You need to log in before you can comment on or make changes to this bug.